* tests/Makefile.am (TESTS): Add command4.test.
Fix for comment4.test:
* automake.in (read_am_file): Output leading comments only when
encountering white lines.
+2001-12-29 Alexandre Duret-Lutz <duret_g@epita.fr>
+
+ * tests/comment4.test: New file.
+ * tests/Makefile.am (TESTS): Add command4.test.
+
+ Fix for comment4.test:
+ * automake.in (read_am_file): Output leading comments only when
+ encountering white lines.
+
2002-01-01 Tom Tromey <tromey@redhat.com>
For PR automake/234:
# PARTICULAR PURPOSE.
@SET_MAKE@
-
SHELL = @SHELL@
srcdir = @srcdir@
# Stick a single white line before the incoming macro or rule.
$spacing = "\n";
$blank = 1;
+ # Flush all comments seen so far.
+ if ($comment ne '')
+ {
+ $output_vars .= $comment;
+ $comment = '';
+ }
}
elsif (/$COMMENT_PATTERN/o)
{
}
}
- $output_vars .= $comment . "\n";
- $comment = '';
- $spacing = "\n";
-
# We save the conditional stack on entry, and then check to make
# sure it is the same on exit. This lets us conditonally include
# other files.
# PARTICULAR PURPOSE.
@SET_MAKE@
-
SHELL = @SHELL@
srcdir = @srcdir@
installcheck: installcheck-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+ INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
# PARTICULAR PURPOSE.
@SET_MAKE@
-
SHELL = @SHELL@
srcdir = @srcdir@
installcheck: installcheck-recursive
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+ INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
# PARTICULAR PURPOSE.
@SET_MAKE@
-
SHELL = @SHELL@
srcdir = @srcdir@
installcheck: installcheck-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+ INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
# PARTICULAR PURPOSE.
@SET_MAKE@
-
SHELL = @SHELL@
srcdir = @srcdir@
installcheck: installcheck-am
install-strip:
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+ INSTALL_STRIP_FLAG=-s \
`test -z '$(STRIP)' || \
echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
comment.test \
comment2.test \
comment3.test \
+comment4.test \
compile_f_c_cxx.test \
cond.test \
cond2.test \
# PARTICULAR PURPOSE.
@SET_MAKE@
-
SHELL = @SHELL@
srcdir = @srcdir@
comment.test \
comment2.test \
comment3.test \
+comment4.test \
compile_f_c_cxx.test \
cond.test \
cond2.test \
--- /dev/null
+#! /bin/sh
+# Make sure commented variables are output near their comments.
+
+. $srcdir/defs || exit 1
+
+cat >> configure.in <<'EOF'
+AC_OUTPUT
+EOF
+
+cat > Makefile.am << 'EOF'
+# UnIqUe_COPYRIGHT_BOILERPLATE
+
+# UnIqUe_MUMBLE_COMMENT
+mumble = UnIqUe_MUMBLE_VALUE
+EOF
+
+set -e
+$ACLOCAL
+$AUTOMAKE
+# UnIqUe_COPYRIGHT_BOILERPLATE should appear near the top of the file
+test `sed -n -e '1,/UnIqUe_COPYRIGHT_BOILERPLATE/p' Makefile.in \
+ | wc -l` -le 30
+# UnIqUe_MUMBLE_COMMENT should appear right before the mumble declaration.
+test `sed -n -e '/UnIqUe_MUMBLE_COMMENT/,/UnIqUe_MUMBLE_VALUE/p' Makefile.in \
+ | wc -l` -eq 2